#ifndef QGSCOPEPYTHON_H
#define QGSCOPEPYTHON_H

#include <QObject>

class QgScopeScriptSiteAdaptor;

class QgScopePython : public QObject
{
    Q_OBJECT
public:
    explicit QgScopePython(QObject *parent = 0);

    static QgScopeScriptSiteAdaptor* pythonScriptAdaptor();

    static void createApplicationMainModule(const QString& moduleName);

    static void registerObject(const QString& name, QObject* obj);

    static void activate();

signals:

public slots:
};

#endif // QGSCOPEPYTHON_H
